jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Florian Ried <FlorianR...@gmx.de>
Subject Re: JCR-RMI - Java Runtime < 1.5
Date Sun, 10 Jul 2005 13:42:27 GMT
Hi Jukka,

works perfectly after recompiling.

Thanks
-Florian

Jukka Zitting wrote:

> Hi,
>
> Florian Ried wrote:
>
>> I read, that the JCR-RMI packed is compiled against JDK 1.5. What 
>> will I have to do to use it with a JRE < 1.5 and the IBM runtime 
>> environment respectively?
>
>
> There should be no JDK 1.5 specific code in JCR-RMI, so you should be 
> able to compile and use it in 1.4 without problems.
>
> I just added (r209999) the following properties to the JCR-RMI 
> project.properties. They should make sure that the generated classes 
> are always JDK 1.4 compliant.
>
> maven.compile.source=1.4
> maven.compile.target=1.4
>
> Updating and rebuilding the jcr-rmi jar should do the trick.
>
> BR,
>
> Jukka Zitting
>
>

Mime
View raw message